%define upstream_name    Crypt-SMIME
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    S/MIME message signing, verification, encryption and decryption
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CChecker)
BuildRequires: perl(ExtUtils::Constant) >= 0.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
BuildRequires: pkgconfig(libcrypto)
%description
This module provides a class for handling S/MIME messages. It can sign,
verify, encrypt and decrypt messages. It requires libcrypto (the
http://www.openssl.org manpage).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/manifest.t
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Sat Mar 15 2025 tv <tv> 0.310.0-1.mga10
+ Revision: 2164423
- update to 0.31

* Thu Aug 22 2024 neoclust <neoclust> 0.300.0-2.mga10
+ Revision: 2087900
- Rebuild against new perl

* Tue Mar 26 2024 tv <tv> 0.300.0-1.mga10
+ Revision: 2052371
- update to 0.30

* Thu Mar 07 2024 tv <tv> 0.290.0-1.mga10
+ Revision: 2048317
- update to 0.29

* Wed Nov 29 2023 tv <tv> 0.280.0-4.mga10
+ Revision: 2011439
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.280.0-3.mga9
+ Revision: 1861689
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.280.0-2.mga9
+ Revision: 1796636
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.280.0-1.mga9
+ Revision: 1753103
- update to 0.28

* Sat Oct 02 2021 wally <wally> 0.270.0-3.mga9
+ Revision: 1747531
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 0.270.0-2.mga9
+ Revision: 1726489
- Rebuild for perl 5.34

* Wed Sep 16 2020 tv <tv> 0.270.0-1.mga8
+ Revision: 1626823
- update to 0.27

* Mon Aug 03 2020 guillomovitch <guillomovitch> 0.260.0-1.mga8
+ Revision: 1610802
- new version 0.26

* Wed Jun 17 2020 umeabot <umeabot> 0.250.0-6.mga8
+ Revision: 1594385
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.250.0-5.mga8
+ Revision: 1530212
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tmb <tmb> 0.250.0-4.mga8
+ Revision: 1434647
- BR: perl(ExtUtils::MakeMaker)
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.250.0-3.mga7
+ Revision: 1292612
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.250.0-2.mga7
+ Revision: 1248153
- fix files list

* Wed Feb 28 2018 guillomovitch <guillomovitch> 0.250.0-1.mga7
+ Revision: 1205631
- new version 0.25

* Wed Jan 24 2018 guillomovitch <guillomovitch> 0.230.0-1.mga7
+ Revision: 1196760
- new version 0.23

* Tue Jan 23 2018 guillomovitch <guillomovitch> 0.220.0-1.mga7
+ Revision: 1196496
- new version 0.22

* Mon Jan 15 2018 guillomovitch <guillomovitch> 0.210.0-1.mga7
+ Revision: 1193642
- new version 0.21

* Sat Jan 13 2018 guillomovitch <guillomovitch> 0.200.0-1.mga7
+ Revision: 1192542
- new version 0.20

* Mon Oct 02 2017 tv <tv> 0.190.0-4.mga7
+ Revision: 1163727
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-3.mga7
+ Revision: 1149601
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.190.0-2.mga7
+ Revision: 1127350
- Rebuild against new Perl 5.26

* Sun Dec 18 2016 guillomovitch <guillomovitch> 0.190.0-1.mga6
+ Revision: 1075889
- new version 0.19

* Fri Nov 11 2016 guillomovitch <guillomovitch> 0.180.0-1.mga6
+ Revision: 1066354
- new version 0.18

* Thu Aug 25 2016 guillomovitch <guillomovitch> 0.170.0-1.mga6
+ Revision: 1048920
- new version 0.17

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1024664
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 957007
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 guillomovitch <guillomovitch> 0.160.0-1.mga6
+ Revision: 889723
- new version 0.16

* Thu Jun 25 2015 sander85 <sander85> 0.150.0-4.mga6
+ Revision: 843928
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 750161
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 684066
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 662712
- update to 0.15

* Tue Aug 05 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 659816
- update to 0.14

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.130.0-1.mga5
+ Revision: 657931
- imported package perl-Crypt-SMIME

